call spQuery_Cuota_Venta_Familia('2013', '12', '2', NULL, NULL, 1, NULL, NULL);

DROP PROCEDURE IF EXISTS spQuery_Cuota_Venta_Familia;
CREATE PROCEDURE spQuery_Cuota_Venta_Familia(
	varAnio       varchar(4),
	varMes        varchar(2),
  varEmpresa    int,
  varProveedor  int,
	varVendedor   int,
  varUsuario    int,
  varField      varchar(60),
  varOrder      varchar(5)
)
BEGIN
  DECLARE varCadAni, varCadMes, varCadEmp, varCadPro, varCadVen TEXT DEFAULT '';
  DECLARE varCadOrd TEXT DEFAULT '';
  
	if varAnio <> '' and varAnio is not null then
    set varCadAni = CONCAT(" and C.id_anio = ", varAnio," ");
  end if;
	if varMes <> '' and varMes is not null then
    set varCadMes = CONCAT(" and C.id_mes = ", varMes," ");
  end if;
  if varEmpresa <> '' and varEmpresa is not null then
    set varCadEmp = CONCAT(" and C.id_empresa = ", varEmpresa," ");
  end if;
  if varProveedor <> '' and varProveedor is not null then
    set varCadPro = CONCAT(" and C.id_proveedor = ", varProveedor," ");
  end if;  
  if varVendedor <> '' and varVendedor is not null then
    set varCadVen = CONCAT(" and C.id_trabajador = ", varVendedor," ");
  end if;
  
  -- Para Ordenar
  IF varField is not null and varField <> '' THEN
    SET varField = CASE WHEN varField = 'FECHA_CREADO' THEN 'C._date_create'
                        WHEN varField = 'FECHA_MODIFI' THEN 'C._date_update'
                        ELSE 